export namespace Table {
  export interface Pageable {
    /** 当前页码 */
    page: number
    /** 每页数据量 */
    pageSize: number
    /** 数据总数 */
    totalNum: number
  }
  export interface TableStateProps {
    /** 加载状态
     * true: 处于加载状态中
     * false: 默认状态
     */
    loading: boolean
    /** 分页是否获取 */
    stopGet?: boolean
    /** 表格数据 */
    tableData: Array<any>
    /** 分页数据 */
    pageable: Pageable
    /** 搜索项参数 */
    searchParam: {
      [key: string]: any
    }
    /** 搜索项默认值 */
    searchInitParam: {
      [key: string]: any
    }
    /** 总参数（分页+查询参数） */
    totalParam: {
      [key: string]: any
    }
    icon?: {
      [key: string]: any
    }
  }
}
