/*
 * @Author: luzheng luzheng@nuanliukeji.com
 * @Date: 2023-08-15 16:24:38
 * @LastEditors: luzheng luzheng@nuanliukeji.com
 * @LastEditTime: 2023-08-15 16:58:28
 * @FilePath: \remote_comps\src\components\ReIcon\src\iconfont.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { h, defineComponent } from 'vue'

// 封装iconfont组件，默认`font-class`引用模式，支持`unicode`引用、`font-class`引用、`symbol`引用 （https://www.iconfont.cn/help/detail?spm=a313x.7781069.1998910419.20&helptype=code）
export default defineComponent({
  name: 'FontIcon',
  props: {
    icon: {
      type: String,
      default: '',
    },
  },
  render() {
    const attrs = this.$attrs
    if (Object.keys(attrs).includes('uni') || attrs?.iconType === 'uni') {
      return h(
        'i',
        {
          class: 'iconfont',
          ...attrs,
        },
        this.icon,
      )
    } else if (
      Object.keys(attrs).includes('svg') ||
      attrs?.iconType === 'svg'
    ) {
      return h(
        'svg',
        {
          class: 'icon-svg',
          'aria-hidden': true,
        },
        {
          default: () => [
            h('use', {
              'xlink:href': `#${this.icon}`,
            }),
          ],
        },
      )
    } else {
      return h('i', {
        class: `iconfont ${this.icon}`,
        ...attrs,
      })
    }
  },
})
