/*
 * @Author: luzheng luzheng@nuanliukeji.com
 * @Date: 2023-08-15 16:24:38
 * @LastEditors: luzheng luzheng@nuanliukeji.com
 * @LastEditTime: 2023-08-22 17:53:11
 * @FilePath: \remote_comps\src\components\ReIcon\src\iconifyIconOffline.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { h, defineComponent } from 'vue'
import { Icon as IconifyIcon, addIcon } from '@iconify/vue/dist/offline'

// Iconify Icon在Vue里本地使用（用于内网环境）https://docs.iconify.design/icon-components/vue/offline.html
export default defineComponent({
  name: 'IconifyIconOffline',
  components: { IconifyIcon },
  props: {
    icon: {
      default: '',
    },
  },
  render() {
    if (typeof this.icon === 'object') addIcon(this.icon, this.icon)
    const attrs = this.$attrs
    return h(
      IconifyIcon as any,
      {
        icon: this.icon,
        style: attrs?.style
          ? Object.assign(attrs.style, { outline: 'none' })
          : { outline: 'none' },
        ...attrs,
      },
      {
        default: () => h('span', attrs?.default ? attrs.default : ''),
      },
    )
  },
})
