/*
 * @Author: luzheng luzheng@nuanliukeji.com
 * @Date: 2023-08-15 16:24:38
 * @LastEditors: luzheng luzheng@nuanliukeji.com
 * @LastEditTime: 2023-08-22 17:53:34
 * @FilePath: \remote_comps\src\components\ReIcon\src\iconifyIconOnline.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { h, defineComponent } from 'vue'
import { Icon as IconifyIcon } from '@iconify/vue'

// Iconify Icon在Vue里在线使用（用于外网环境）
export default defineComponent({
  name: 'IconifyIconOnline',
  components: { IconifyIcon },
  props: {
    icon: {
      type: String,
      default: '',
    },
  },
  render() {
    const attrs = this.$attrs
    return h(
      IconifyIcon,
      {
        icon: `${this.icon}`,
        style: attrs?.style
          ? Object.assign(attrs.style, { outline: 'none' })
          : { outline: 'none' },
        ...attrs,
      },
      {
        // default: () => [],
        default: () => h('span', attrs?.default ? attrs.default : ''),
      },
    )
  },
})
